<template>
  <div class="menuList">
    <ul class="menu-top">
      <li
        v-for="item in menuList.menu"
        :key="item.key"
        @click="goRouter(item)"
        :class="`/${item.path}` === path ? 'activeItem hover' : 'menuItem hover'"
      >
        <img :src="item.icon" alt="" />
        <div>{{ item.label }}</div>
      </li>
    </ul>
    <ul class="menu-bottom">
      <li
        v-for="item in menuList.user"
        :key="item.key"
        @click="goRouter(item)"
        :class="`/${item.path}` === path ? 'activeItem hover' : 'menuItem hover'"
      >
        <img :src="item.icon" alt="" />
        <div>{{ item.label }}</div>
      </li>
    </ul>
  </div>
</template>
<script setup lang="ts">
import { useRouter, onBeforeRouteUpdate } from 'vue-router'
import { ref, reactive, onMounted } from 'vue'
const router = useRouter()
const routerVal = router.currentRoute.value
const path = ref(routerVal.path)
import ziyuan from '@/assets/images/menu/ziyuan.png'

const menuList = reactive({
  menu: [
    {
      label: '书架',
      key: '1',
      path: 'bookshelfList',
      icon: ziyuan
    },
    {
      label: '班级',
      key: '2',
      path: 'classeManagement',
      icon: ziyuan
    },
    {
      label: '作业',
      key: '3',
      path: 'jobManagement',
      icon: ziyuan
    }
  ],
  user: [
    {
      label: '个人中心',
      key: '4',
      path: 'personalCenter',
      icon: ziyuan
    },
    {
      label: '消息',
      key: '5',
      path: 'messageList',
      icon: ziyuan
    },
    {
      label: '设置',
      key: '6',
      path: 'setting',
      icon: ziyuan
    }
  ]
})
onBeforeRouteUpdate(async (to, from) => {
  path.value = to.fullPath
})
onMounted(() => {})
const goRouter = (item) => {
  if (!localStorage.getItem('token')) {
    return router.push({
      path: '/home'
    })
  }
  router.push({ path: item.path })
}
</script>

<style lang="less">
.menuList {
  height: 100%;
  padding: 10px;
  text-align: center;
  position: relative;
  font-size: 14px;
  color: #b3b3b3;
  li {
    margin-bottom: 10px;
    img {
      width: 24px;
      height: 24px;
    }
  }
  .menuItem {
    color: #b3b3b3;
  }

  .menu-bottom {
    position: absolute;
    bottom: 20px;
    margin: 0 auto;
  }
  .activeItem {
    color: #4d4d4d;
  }
}
</style>
